package com.ai.da.service;

import com.ai.da.mapper.primary.entity.Project;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Set;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface ProjectService extends IService<Project> {

    Set<Long> getChildProjectIdSet(Long projectId);

    List<Project> getByProjectNameLike(String projectName);

    Integer getOrCreateSequence();

    void clearLockedSequence(Long accountId);

    void modifyProjectUpdateTime(Long projectId);
}
